<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-fdc3](./foundation-fdc3.md) &gt; [FDC3](./foundation-fdc3.fdc3.md)

## FDC3 interface

The FDC3 API interface.

**Signature:**

```typescript
export interface FDC3 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [currentChannel$](./foundation-fdc3.fdc3.currentchannel_.md) |  | Observable&lt;[FDC3Channel](./foundation-fdc3.fdc3channel.md)<!-- -->&gt; | Observable which emits the current channel When a new channel is joined a new value is emitted |
|  [isInteropFdc3](./foundation-fdc3.fdc3.isinteropfdc3.md) |  | () =&gt; boolean | Check if the interop global is available. |
|  [isReady](./foundation-fdc3.fdc3.isready.md) |  | boolean | Whether the FDC3 API is ready. |
|  [isReady$](./foundation-fdc3.fdc3.isready_.md) |  | Observable&lt;true&gt; | Observable indicating the FDC3 API is ready. |

## Methods

|  Method | Description |
|  --- | --- |
|  [addChannelListener(channelName, channelType, callback)](./foundation-fdc3.fdc3.addchannellistener.md) | Helper function to add a context listener on a channel with a handler for channel messages |
|  [addIntentListeners(listeners)](./foundation-fdc3.fdc3.addintentlisteners.md) | Adds intent listeners for the specified intents. |
|  [addSystemChannelListener(channelType, callback)](./foundation-fdc3.fdc3.addsystemchannellistener.md) | Helper function to add a context listener on to the system, aka 'color', channel with a handler for channel messages |
|  [broadcastOnChannel(channelName, type, payload)](./foundation-fdc3.fdc3.broadcastonchannel.md) | Broadcasts a message on a given channel with a given type |
|  [broadcastOnChannelEventHandler(channelName, type)](./foundation-fdc3.fdc3.broadcastonchanneleventhandler.md) | Helper function to broadcast message on channel in response to dispatched event |
|  [broadcastOnCurrentChannel(payload, type)](./foundation-fdc3.fdc3.broadcastoncurrentchannel.md) | Broadcasts a message on the current app channel |
|  [findIntent(intent, context)](./foundation-fdc3.fdc3.findintent.md) | Finds an app that supports the specified intent. |
|  [findIntentsByContext(context)](./foundation-fdc3.fdc3.findintentsbycontext.md) | Finds all the intents supported by the specified context. |
|  [getCurrentChannel()](./foundation-fdc3.fdc3.getcurrentchannel.md) | Helper function to get the current channel of the application |
|  [getOrCreateChannel(channelId)](./foundation-fdc3.fdc3.getorcreatechannel.md) | Gets or creates the specified channel. |
|  [handleChannelCurrentContext(channel, contextType, listenerCallback)](./foundation-fdc3.fdc3.handlechannelcurrentcontext.md) | Helper function to add a context listener on a channel with a handler for channel messages |
|  [joinChannel(channelId)](./foundation-fdc3.fdc3.joinchannel.md) | Joins the specified channel. |
|  [raiseIntent(context, intent)](./foundation-fdc3.fdc3.raiseintent.md) | Raises the specified intent with the specified context. |
|  [raiseIntentForContext(context)](./foundation-fdc3.fdc3.raiseintentforcontext.md) | Raises an intent against an application based purely on the context data. |

